<!--  -->
<template>
  <div class="page_box">
    <!-- 头部导航栏 -->
    <van-nav-bar style="background-color: #528abe">
      <template #left>
        <van-icon @click="pageBack" name="arrow-left" size="18" />
      </template>
      <template #title>
        <label>{{$t('indexPage.myCollection.TR')}}</label>
      </template>
      <template #right>
        <!-- <van-icon name="search" size="18" /> -->
      </template>
    </van-nav-bar>

    <!-- 显示内容 -->
    <div class="page_main">
      <div style="height: 100%; overflow: auto">
        <van-cell
          style="text-align: left"
          is-link
          size="large"
          v-for="(node, i) in m_PumpList"
          :key="node.PumpID"
          @click="toDetail(i)"
        >
          <template #title>
            <span style="color: #000000">{{ node.PumpName }}</span>
          </template>
          <template #label>
            <div>
              <span class="item_font">{{$t('selectPage.flow.TR')}}:{{ node.RatedQ }}</span>
              <span class="item_font">{{$t('selectPage.head.TR')}}:{{ node.RatedH }}</span>
              <span class="item_font">{{$t('selectPage.speed.TR')}}:{{ node.Ratedn }}</span>
            </div>
          </template>
          <template #right-icon>
            <van-icon
              style="position: absolute; right: 15px; top: 24px"
              name="arrow"
              size="18"
            />
          </template>
        </van-cell>
      </div>
    </div>
  </div>
</template>

<script>
import languageMixin from "@/mixin/language.js";
export default {
  mixins: [languageMixin],
  name: "",
  components: {},
  data() {
    return { 
      m_PumpList: [],
      m_collectList: [] //收藏列表
    };
  },
  created() {},
  mounted() {
 
    document.title = this.getSoftName();

    let collectList = localStorage.getItem("collectList");
    collectList = collectList != null ? JSON.parse(collectList) : [];
    this.m_collectList = collectList;
    if(collectList != null && collectList.length>0)
    this.initTable();
  },
  computed: {},
  watch: {},
  methods: {
    initTable() {
      let _this = this;
      let url =
        this.$globalConfig.WebApiUrl.MainUrl + "v1/Web/PumpInfo/GetBaseList";
      let lang = this.getCurrentLanguageType();
      let list = [];
      this.m_collectList.forEach((item) => {
        list.push({
          ProductType: 0,
          SID: item.SID,
          PID: item.PID,
        });
      });
      let requestData = {
        List: list,
        Lang: lang,
      }; 
      _this.m_isShowLoadingFrm = true;
      this.$axios({
        url: url,
        method: "post",
        data: requestData,
      }).then(function (res) {
        _this.m_isShowLoadingFrm = false;

        let resdata = res.data;
        // console.log(resdata, 50);
        //
        if (resdata.Code != 0) {
          _this.$toast(resdata.Message);
          return;
        }
        let data = resdata.Data;
        _this.m_PumpList = data;
      });
    },
    toDetail(i) { 
      let row = this.m_collectList[i];
      let query = {
        SID: row.SID,
        PID: row.PID,
        from: row.from,
        pur: row.pur, //EBook = 0
      };
      this.gotoPage("/byParas/Index", query, null);
    },
    //返回上一页
    pageBack() {
      this.$router.go(-1);
    },
  },
};
</script>
<style scoped>

.page_box{
    height: 100%;
}
.page_main{
    height: calc(100% - 44px);
}
.item_font {
  margin-left: 10px;
}
.item_font:first-of-type {
  margin-left: 0px;
}
</style>